﻿' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください
Option Strict On

Imports Windows.Storage
Imports Windows.UI.Popups

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
''' 
Public Class ImageInfo
    Public Property 画像名 As BitmapImage
End Class
Public NotInheritable Class DataIchiranShowPage
    Inherits Page
    Dim myPictureFiles As IReadOnlyList(Of IStorageFile)
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
        DataShow()
    End Sub

    Private Async Sub DataShow()

        Dim pictureFolder As StorageFolder = KnownFolders.PicturesLibrary
        Dim pictureSubFolder As StorageFolder = Await pictureFolder.CreateFolderAsync("myPictureAlbum", CreationCollisionOption.OpenIfExists)
        myPictureFiles = Await pictureSubFolder.GetFilesAsync()
        Dim myImageInfo As New List(Of ImageInfo)
        If myPictureFiles.Count = 0 Then
            Dim message As New MessageDialog("表示するデータはありません。戻ってください。")
            Await message.ShowAsync
            FlipView1.ItemsSource = Nothing
            Exit Sub
        Else
            For Each myFile As IStorageFile In myPictureFiles
                Dim bmp As New BitmapImage
                bmp.SetSource(Await myFile.OpenReadAsync)
                myImageInfo.Add(New ImageInfo With {.画像名 = bmp})
            Next
            FlipView1.ItemsSource = myImageInfo
            FlipView1.SelectedIndex = myPictureFiles.Count - 1
            countTextBlock.Text = FlipView1.SelectedIndex + 1 & "/" & myPictureFiles.Count
        End If
    End Sub

    Private Sub FlipView1_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles FlipView1.SelectionChanged
        countTextBlock.Text = FlipView1.SelectedIndex + 1 & "/" & myPictureFiles.Count
    End Sub
End Class
