﻿' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください
Option Strict On

Imports Windows.Storage
Imports Windows.UI.Popups

Public Class DeleteInfo
    Public Property 削除画像名 As BitmapImage
    Public Property ファイル名 As String
End Class
Public NotInheritable Class DeletePage
    Inherits Page
    Dim myPictureFiles As IReadOnlyList(Of IStorageFile)
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
        DataShow()
    End Sub

    Private Async Sub DataShow()
        Dim pictureFolder As StorageFolder = KnownFolders.PicturesLibrary
        Dim pictureSubFolder As StorageFolder = Await pictureFolder.CreateFolderAsync("myPictureAlbum", CreationCollisionOption.OpenIfExists)
        myPictureFiles = Await pictureSubFolder.GetFilesAsync()
        If myPictureFiles.Count = 0 Then
            Dim message As New MessageDialog("データがありません。戻ってください。")
            Await message.ShowAsync
            GridView1.ItemsSource = Nothing
            Exit Sub
        Else
            Dim myDeleteInfo As New List(Of DeleteInfo)
            For Each myFile As IStorageFile In myPictureFiles
                Dim bmp As New BitmapImage
                bmp.SetSource(Await myFile.OpenReadAsync)
                myDeleteInfo.Add(New DeleteInfo With {.削除画像名 = bmp, .ファイル名 = Path.GetFileNameWithoutExtension(myFile.Path)})
            Next
            GridView1.ItemsSource = myDeleteInfo
        End If

    End Sub

    Private Async Sub DeleteGo()
        If GridView1.SelectedIndex = -1 Then
            Dim message As New MessageDialog("削除する画像を選択してください。")
            Await message.ShowAsync
            Exit Sub
        Else
            Await myPictureFiles(GridView1.SelectedIndex).DeleteAsync
            Dim message As New MessageDialog("削除しました。")
            Await message.ShowAsync
            DataShow()
        End If

    End Sub
End Class
