﻿'' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください
Imports Windows.Media.Capture
Imports Windows.Storage
Imports Windows.Media.MediaProperties
Imports Windows.Storage.Streams
Imports Windows.UI
Imports Windows.UI.Popups
'Imports Windows.Devices.Geolocation
Imports Windows.Devices.Enumeration
'追加
Imports Windows.UI.Core

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    Dim myIndex As Integer

    Dim myPictureFiles As IReadOnlyList(Of IStorageFile)
    Dim myMediaCapture As MediaCapture
    Dim Index As Integer
    Dim saveBmp As BitmapImage
    'Dim myLatitude As String
    'Dim myLongitude As String
    Dim no As Integer = 0
    Dim myCamera As DeviceInformationCollection
    Dim saveImageFileName As String
    Dim flag As Boolean = False
    Dim cameraNo As Integer = -1
    'Dim restartFlag As Boolean = False
    'Dim myCapture As MediaCapture

    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
        DataShow()
        AddHandler Window.Current.VisibilityChanged, AddressOf Current_Changed
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub Current_Changed(sender As Object, e As VisibilityChangedEventArgs)
        If e.Visible = True Then
            CameraRestart()
        End If
    End Sub

    Private Async Sub CameraRestart()
        myMediaCapture = CaptureElement1.Source
        myMediaCapture = New MediaCapture

        Try
            Await myMediaCapture.InitializeAsync(New MediaCaptureInitializationSettings With {.VideoDeviceId = myCamera(ComboBox1.SelectedIndex).Id})
            CaptureElement1.Source = myMediaCapture
            Await myMediaCapture.StartPreviewAsync
        Catch
            Exit Sub
        End Try
    End Sub

    Private Async Sub DataShow()
        Try
            'Dim myStorageFolder As StorageFolder = Windows.Storage.KnownFolders.PicturesLibrary
            'Dim mySubFolder = Await myStorageFolder.CreateFolderAsync("PhotoAlbum", CreationCollisionOption.OpenIfExists)
            'Dim myFile = Await mySubFolder.GetFilesAsync()
            'If myFile.Count > 0 Then
            '    ichiranButton.IsEnabled = True
            'Else
            '    ichiranButton.IsEnabled = False
            'End If

            ComboBox1.Items.Clear()

            myCamera = Await DeviceInformation.FindAllAsync(DeviceClass.VideoCapture)
            For i As Integer = 0 To myCamera.Count - 1
                Dim cameraInfo = myCamera(i)
                ComboBox1.Items.Add(cameraInfo.Name)
            Next
            If cameraNo < 0 Then
                ComboBox1.SelectedIndex = 0
                cameraButton.IsEnabled = True
            Else
                ComboBox1.SelectedIndex = cameraNo
                cameraButton.IsEnabled = True
            End If
        Catch
            ErrorShow()
        End Try
    End Sub

    Private Async Sub ErrorShow()
        Dim message As New MessageDialog("カメラが装備されておりません。")
        Await message.ShowAsync
        cameraButton.IsEnabled = False
        Exit Sub
    End Sub

    Private Async Sub ComboBox1_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles ComboBox1.SelectionChanged
        Try
            cameraNo = ComboBox1.SelectedIndex
            myMediaCapture = New MediaCapture
            Await myMediaCapture.InitializeAsync(New MediaCaptureInitializationSettings With {.VideoDeviceId = myCamera(ComboBox1.SelectedIndex).Id})
            CaptureElement1.Source = myMediaCapture
            Await myMediaCapture.StartPreviewAsync
            cameraButton.IsEnabled = True
        Catch
            Exit Sub
        End Try
    End Sub

    Private Async Sub cameraButton_Click(sender As Object, e As RoutedEventArgs) Handles cameraButton.Click
        MediaElement1.Play()
        Dim myFolder As StorageFolder = Windows.Storage.KnownFolders.PicturesLibrary
        Dim mySubFolder = Await myFolder.CreateFolderAsync("myPictureAlbum", CreationCollisionOption.OpenIfExists)
        Dim myFile As StorageFile = Await mySubFolder.CreateFileAsync(DateTime.Now.ToString("yyyy年MM月dd日HH時mm分ss秒") & ".png")
        saveImageFileName = DateTime.Now.ToString("yyyy年MM月dd日HH時mm分ss秒") & ".png"
        Dim myImageEncodingProperty As New ImageEncodingProperties
        myImageEncodingProperty.Subtype = "png"
        myImageEncodingProperty.Width = 1024
        myImageEncodingProperty.Height = 768

      
            Await myMediaCapture.CapturePhotoToStorageFileAsync(myImageEncodingProperty, myFile)

        ichiranButton.IsEnabled = True
        Dim message As New MessageDialog("保存しました。")
        Await message.ShowAsync
    End Sub

    Private Sub backButton_Click(sender As Object, e As RoutedEventArgs) Handles backButton.Click
        cameraButton.IsEnabled = True
        myFrame.Visibility = Xaml.Visibility.Collapsed
        ComboBox1.Visibility = Xaml.Visibility.Visible
    End Sub

    Private Sub ichiranButton_Click(sender As Object, e As RoutedEventArgs) Handles ichiranButton.Click
        cameraButton.IsEnabled = False
        ComboBox1.Visibility = Xaml.Visibility.Collapsed
        myFrame.Visibility = Xaml.Visibility.Visible

        myFrame.Navigate(GetType(DataIchiranShowPage), Nothing)
    End Sub

    Private Sub deleteShowButton_Click(sender As Object, e As RoutedEventArgs) Handles deleteShowButton.Click
        cameraButton.IsEnabled = False
        ComboBox1.Visibility = Xaml.Visibility.Collapsed
        myFrame.Visibility = Xaml.Visibility.Visible

        myFrame.Navigate(GetType(DeletePage), Nothing)
    End Sub

End Class
